Bug 23099 - OPAC Search result sorting "go" button flashes on page load
Summary: OPAC Search result sorting "go" button flashes on page load
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 18:12 UTC by Liz Rea
Modified: 2019-09-12 13:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23099: OPAC Search result sorting "go" button flashes on page load (3.38 KB, patch)
2019-06-11 18:49 UTC, Owen Leonard
Details | Diff | Splinter Review
This is much better. CSS is always greater than jQuery in these instances. (3.46 KB, patch)
2019-07-22 22:44 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23099: OPAC Search result sorting "go" button flashes on page load (3.51 KB, patch)
2019-07-30 12:03 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-06-11 18:12:07 UTC
I think this button is supposed to be hidden, but it seems to flash on/off when the page loads. It'd probably be tidier if it didn't do that.
Comment 1 Owen Leonard 2019-06-11 18:49:29 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2019-07-22 22:44:23 UTC
Created attachment 91723 [details] [review]
This is much better. CSS is always greater than jQuery in these instances.

Bug 23099: OPAC Search result sorting "go" button flashes on page load

There are a few places in the OPAC where we hide the submit button on a
sorting form because the form auto-submits when the selection changes.
These should be hidden using CSS instead of JS to prevent the temporary
appearance of the submit button while the page loads.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test OPAC search results and OPAC checkout history. On both pages you
should not see a "Go" button next to the <select> input for changing the
sort order.

Disable JavaScript in your browser and test those pages again. The "Go"
button should appear.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Nick Clemens 2019-07-30 12:03:55 UTC
Created attachment 91865 [details] [review]
Bug 23099: OPAC Search result sorting "go" button flashes on page load

There are a few places in the OPAC where we hide the submit button on a
sorting form because the form auto-submits when the selection changes.
These should be hidden using CSS instead of JS to prevent the temporary
appearance of the submit button while the page loads.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test OPAC search results and OPAC checkout history. On both pages you
should not see a "Go" button next to the <select> input for changing the
sort order.

Disable JavaScript in your browser and test those pages again. The "Go"
button should appear.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-08-05 14:01:29 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-09 13:35:48 UTC
Small enhancement, I choose to backport.
Pushed to 19.05.x for 19.05.03
Comment 6 Lucas Gass 2019-09-03 22:35:55 UTC
backported to 18.11.x for 18.11.10